summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorJonathan Yantis2015-06-11 08:02:43 -0700
committerJonathan Yantis2015-06-11 08:02:43 -0700
commitdcdaf44fe500444bf82b9ab1b8f0fb6de907f371 (patch)
tree7a0a87afeb902b2c5eee4f0864be0c7b26032d58
downloadaur-dcdaf44fe500444bf82b9ab1b8f0fb6de907f371.tar.gz
Initial import
-rw-r--r--.SRCINFO16
-rw-r--r--PKGBUILD41
2 files changed, 57 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..2179a788397
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,16 @@
+pkgbase = tumbld-git
+ pkgdesc = A bash script to download all the images from a tumblr or set of tumblrs
+ pkgver = r16.7c6a9ef
+ pkgrel = 1
+ url = https://github.com/nixterrimus/tumbld
+ arch = any
+ license = MIT
+ makedepends = git
+ depends = wget
+ provides = tumbld
+ conflicts = tumbld
+ source = git+https://github.com/nixterrimus/tumbld.git
+ sha256sums = SKIP
+
+pkgname = tumbld-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..6cd181c0a49
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,41 @@
+# Maintainer: jyantis <yantis@yantis.net>
+
+pkgname=tumbld-git
+pkgver=r16.7c6a9ef
+pkgrel=1
+pkgdesc='A bash script to download all the images from a tumblr or set of tumblrs'
+arch=('any')
+url='https://github.com/nixterrimus/tumbld'
+license=('MIT')
+depends=('wget')
+source=('git+https://github.com/nixterrimus/tumbld.git')
+sha256sums=('SKIP')
+makedepends=('git')
+provides=('tumbld')
+conflicts=('tumbld')
+
+pkgver() {
+ cd tumbld
+ set -o pipefail
+ git describe --long | sed -r 's/([^-]*-g)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+}
+
+package() {
+ cd tumbld
+
+ # We don't need anything related to git in the package
+ rm -rf .git*
+
+ # Install README as License since that is where it is
+ install -D -m644 readme.md "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+
+ # Install Documentation
+ install -D -m644 readme.md "${pkgdir}/usr/share/doc/${pkgname}/README.md"
+
+ # Install the program
+ install -D -m755 tumbld.sh "$pkgdir/usr/bin/tumbld"
+
+}
+
+# vim:set ts=2 sw=2 et: